/***文档注释***********************************************
 * 作者               :                   刘学
 * 创建日期      :                   2017.12.4
 * 描述               :        			质量产线
 * 注意事项      :                   无
 * 遗留BUG :                   无
 * 修改日期      :                   
 * 修改人员      :                   
 * 修改内容      :                   
***********************************************************/
package market.Com.vo;

import java.io.Serializable;
import java.util.Date;

import market.Com.mapper.ComBasePlineMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="COM_BASE_PLINE", namespace=ComBasePlineMapper.class)
public class ComBasePline extends BaseVO implements Serializable {
	@Id
	//产线代码
	private String pline_code;
	public String  getPline_code() {
		return this.pline_code;
	}
	public void setPline_code(String pline_code) {
		this.pline_code = pline_code;
	}

	@Column
	//产线描述
	private String pline_name;
	public String  getPline_name() {
		return this.pline_name;
	}
	public void setPline_name(String pline_name) {
		this.pline_name = pline_name;
	}

	@Column
	//产线简写标识（用于生成发送组号，不允许重复和为空）
	private String pline_abbr;
	public String  getPline_abbr() {
		return this.pline_abbr;
	}
	public void setPline_abbr(String pline_abbr) {
		this.pline_abbr = pline_abbr;
	}

	@Column
	//管理科室代码
	private String section_code;
	public String  getSection_code() {
		return this.section_code;
	}
	public void setSection_code(String section_code) {
		this.section_code = section_code;
	}

	@Column
	//管理科室描述
	private String section_desc;
	public String  getSection_desc() {
		return this.section_desc;
	}
	public void setSection_desc(String section_desc) {
		this.section_desc = section_desc;
	}

	@Column
	//创建人
	private String create_name;
	public String  getCreate_name() {
		return this.create_name;
	}
	public void setCreate_name(String create_name) {
		this.create_name = create_name;
	}

	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	//创建时间
	private Date create_time;
	public Date  getCreate_time() {
		return this.create_time;
	}
	public void setCreate_time(Date create_time) {
		this.create_time = create_time;
	}

	@Column
	//修改人
	private String update_name;
	public String  getUpdate_name() {
		return this.update_name;
	}
	public void setUpdate_name(String update_name) {
		this.update_name = update_name;
	}

	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	//修改时间
	private Date update_time;
	public Date  getUpdate_time() {
		return this.update_time;
	}
	public void setUpdate_time(Date update_time) {
		this.update_time = update_time;
	}

	@Column
	//删除人
	private String delete_name;
	public String  getDelete_name() {
		return this.delete_name;
	}
	public void setDelete_name(String delete_name) {
		this.delete_name = delete_name;
	}

	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	//删除时间
	private Date delete_time;
	public Date  getDelete_time() {
		return this.delete_time;
	}
	public void setDelete_time(Date delete_time) {
		this.delete_time = delete_time;
	}

	@Column
	//有效标志(1:有效，0:无效)
	private String validflag;
	public String  getValidflag() {
		return this.validflag;
	}
	public void setValidflag(String validflag) {
		this.validflag = validflag;
	}

	@Column
	//备注
	private String memo;
	public String  getMemo() {
		return this.memo;
	}
	public void setMemo(String memo) {
		this.memo = memo;
	}

	@Column
	//工序代码
	private String process_code;
	public String  getProcess_code() {
		return this.process_code;
	}
	public void setProcess_code(String process_code) {
		this.process_code = process_code;
	}

	@Column
	//工序描述
	private String process_desc;
	public String  getProcess_desc() {
		return this.process_desc;
	}
	public void setProcess_desc(String process_desc) {
		this.process_desc = process_desc;
	}

	@Column
	//{老系统}产线代码
	private String pline_code_old;
	public String  getPline_code_old() {
		return this.pline_code_old;
	}
	public void setPline_code_old(String pline_code_old) {
		this.pline_code_old = pline_code_old;
	}

	@Column
	//成品长度下限值
	private Long length_min;
	public Long  getLength_min() {
		return this.length_min;
	}
	public void setLength_min(Long length_min) {
		this.length_min = length_min;
	}

	@Column
	//成品长度上限值
	private Long length_max;
	public Long  getLength_max() {
		return this.length_max;
	}
	public void setLength_max(Long length_max) {
		this.length_max = length_max;
	}

	@Column
	//冷床长度(最大值)--轧管工序
	private Long length_coldbed;
	public Long  getLength_coldbed() {
		return this.length_coldbed;
	}
	public void setLength_coldbed(Long length_coldbed) {
		this.length_coldbed = length_coldbed;
	}

	@Column
	//环型炉长度上限值--轧管工序
	private Long length_max_ring;
	public Long  getLength_max_ring() {
		return this.length_max_ring;
	}
	public void setLength_max_ring(Long length_max_ring) {
		this.length_max_ring = length_max_ring;
	}

	@Column
	//环型炉长度下限值--轧管工序
	private Long length_min_ring;
	public Long  getLength_min_ring() {
		return this.length_min_ring;
	}
	public void setLength_min_ring(Long length_min_ring) {
		this.length_min_ring = length_min_ring;
	}

	@Column
	//脱管机长度下限值--轧管工序
	private Long length_min_tube;
	public Long  getLength_min_tube() {
		return this.length_min_tube;
	}
	public void setLength_min_tube(Long length_min_tube) {
		this.length_min_tube = length_min_tube;
	}

	@Column
	//脱管机长度上限值--轧管工序
	private Long length_max_tube;
	public Long  getLength_max_tube() {
		return this.length_max_tube;
	}
	public void setLength_max_tube(Long length_max_tube) {
		this.length_max_tube = length_max_tube;
	}

	@Column
	//烧损率(%)--轧管工序
	private Long burnout_rate;
	public Long  getBurnout_rate() {
		return this.burnout_rate;
	}
	public void setBurnout_rate(Long burnout_rate) {
		this.burnout_rate = burnout_rate;
	}

	@Column
	//计划分组（com_base_info  408001 ）
	private String group_plan;
	public String  getGroup_plan() {
		return this.group_plan;
	}
	public void setGroup_plan(String group_plan) {
		this.group_plan = group_plan;
	}

	@Column
	//缴库分组（com_base_info  408002）
	private String group_pay;
	public String  getGroup_pay() {
		return this.group_pay;
	}
	public void setGroup_pay(String group_pay) {
		this.group_pay = group_pay;
	}

	@Column
	//机组壁厚公差带能力%
	private Double tolerance_zone;
	public Double  getTolerance_zone() {
		return this.tolerance_zone;
	}
	public void setTolerance_zone(Double tolerance_zone) {
		this.tolerance_zone = tolerance_zone;
	}

	@Column
	//管理部门代码
	private String dept_code;
	public String  getDept_code() {
		return this.dept_code;
	}
	public void setDept_code(String dept_code) {
		this.dept_code = dept_code;
	}

	@Column
	//管理部门描述
	private String dept_desc;
	public String  getDept_desc() {
		return this.dept_desc;
	}
	public void setDept_desc(String dept_desc) {
		this.dept_desc = dept_desc;
	}

	@Column
	//排产缩写码（计划专用）
	private String schedule_code;
	public String  getSchedule_code() {
		return this.schedule_code;
	}
	public void setSchedule_code(String schedule_code) {
		this.schedule_code = schedule_code;
	}

	@Column
	//产线标识符(检化验生成样条号首字母用)
	private String spline_desc;
	public String  getSpline_desc() {
		return this.spline_desc;
	}
	public void setSpline_desc(String spline_desc) {
		this.spline_desc = spline_desc;
	}

	@Column
	//来料长度下限
	private Double in_material_len_min;
	public Double  getIn_material_len_min() {
		return this.in_material_len_min;
	}
	public void setIn_material_len_min(Double in_material_len_min) {
		this.in_material_len_min = in_material_len_min;
	}

	@Column
	//来料长度上限
	private Double in_material_len_max;
	public Double  getIn_material_len_max() {
		return this.in_material_len_max;
	}
	public void setIn_material_len_max(Double in_material_len_max) {
		this.in_material_len_max = in_material_len_max;
	}

	@Column
	//试样号首字母
	private String sam_fcode;
	public String  getSam_fcode() {
		return this.sam_fcode;
	}
	public void setSam_fcode(String sam_fcode) {
		this.sam_fcode = sam_fcode;
	}

	@Column
	//批号规则区间(0-12;35-56)
	private String batch_interval;
	public String  getBatch_interval() {
		return this.batch_interval;
	}
	public void setBatch_interval(String batch_interval) {
		this.batch_interval = batch_interval;
	}

}
